Subject: RE: Fred Lagrasta
From: [email-masked]
To: [email-masked], [email-masked]
Cc: [email-masked], [email-masked], [email-masked]
Date: Wed, 21 Nov 2001 10:57:39 -0800 (PST)

Yes, ENA Upstream Company LLC is the entity that deals with ENA's transactions with producers, similar to the way HPL (Houston Pipe Line Company) was dealing with producers.  

As for Fred Lagrasta, I've already created a document (copy attached) asking for Lagrasta to be named a V.P.  I don't know where it is in the signing cues of the relevant officers, but it may need to be changed since the directors have changed since I created the doc.  Have you by any chance seen this signed document?  I sent it to the 33rd floor to be signed, and I haven't had it returned.   

Please advise, and thanks,
Best wishes,
Mary
x37796
EWS Legal